<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
  "-//Hibernate/Hibernate Configuration DTD//EN"
  "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
	<session-factory>
		<property name="hibernate.connection.driver_class">${jdbc.driver.class}</property>
		<property name="hibernate.connection.url">${jdbc.connection.url}</property>
		<property name="hibernate.dialect">${hibernate.dialect}</property>
		<property name="hibernate.connection.username">gazelle</property>
		<property name="hibernate.connection.password">gazelle</property>
		<property name="hibernate.connection.pool_size">5</property>
		<!-- Values are validate | update | create | create-drop -->
		<property name="hibernate.hbm2ddl.auto">validate</property>
		<property name="c3p0.max_size">5</property>
		<property name="c3p0.min_size">1</property>
		<mapping class="net.ihe.gazelle.simulator.common.tf.model.Domain" />
		<mapping class="net.ihe.gazelle.simulator.common.tf.model.IntegrationProfile" />
		<mapping class="net.ihe.gazelle.simulator.common.tf.model.Actor" />
		<mapping class="net.ihe.gazelle.simulator.common.tf.model.Transaction" />
		<mapping class="net.ihe.gazelle.preferences.ApplicationConfiguration" />
		<mapping class="net.ihe.gazelle.simulator.message.model.TransactionInstance" />
		<mapping class="net.ihe.gazelle.simulator.message.model.MessageInstance" />
	</session-factory>
</hibernate-configuration>
